# DaprProtos.DecryptRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.DecryptRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.DecryptRequest`, `DaprProtos.DecryptRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.DecryptRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`DaprProtos.DecryptRequestOptions` `getOptions()` Request details.
`DaprProtos.DecryptRequestOptionsOrBuilder` `getOptionsOrBuilder()` Request details.
`CommonProtos.StreamPayload` `getPayload()` Chunk of data of arbitrary size.
`CommonProtos.StreamPayloadOrBuilder` `getPayloadOrBuilder()` Chunk of data of arbitrary size.
`boolean` `hasOptions()` Request details.
`boolean` `hasPayload()` Chunk of data of arbitrary size.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasOptions

    boolean hasOptions()

     Request details. Must be present in the first message only.

`.dapr.proto.runtime.v1.DecryptRequestOptions options = 1;`

Returns:
  Whether the options field is set.

#### getOptions

    DaprProtos.DecryptRequestOptions getOptions()

     Request details. Must be present in the first message only.

`.dapr.proto.runtime.v1.DecryptRequestOptions options = 1;`

Returns:
  The options.

#### getOptionsOrBuilder

    DaprProtos.DecryptRequestOptionsOrBuilder getOptionsOrBuilder()

     Request details. Must be present in the first message only.

`.dapr.proto.runtime.v1.DecryptRequestOptions options = 1;`

#### hasPayload

    boolean hasPayload()

     Chunk of data of arbitrary size.

`.dapr.proto.common.v1.StreamPayload payload = 2;`

Returns:
  Whether the payload field is set.

#### getPayload

    CommonProtos.StreamPayload getPayload()

     Chunk of data of arbitrary size.

`.dapr.proto.common.v1.StreamPayload payload = 2;`

Returns:
  The payload.

#### getPayloadOrBuilder

    CommonProtos.StreamPayloadOrBuilder getPayloadOrBuilder()

     Chunk of data of arbitrary size.

`.dapr.proto.common.v1.StreamPayload payload = 2;`